www.cendio.com

Bug 4214

Summary: raise PyGTK requirement
Product: ThinLinc Reporter: Pierre Ossman <ossman@cendio.se>
Component: OtherAssignee: Peter Åstrand <astrand@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 Keywords: aaron_tester
Version: 3.2.0   
Target Milestone: 4.0.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:

Description From cendio 2012-02-15 16:36:21
Currently we require PyGTK 2.4. This version was selected mainly as a
consequence of us requiring Python 2.3 (see bug 2765 for details). As we are
considering updating the Python requirement (bug 4213), we should also consider
upgrading the PyGTK requirement.

RHEL 5 includes PyGTK 2.10, so somewhere around that is probably a good choice.
------- Comment #1 From cendio 2012-08-08 14:59:52 -------
The PyGTK signal "page-added" which we use in the installer is only present in
PyGTK >= 2.10, so we need to have this as a minimum at least.

http://www.pygtk.org/docs/pygtk/class-gtknotebook.html#signal-gtknotebook--page-added
------- Comment #2 From cendio 2012-08-09 12:28:44 -------
Checked distros:

RHEL 5.8:  2.10
Ubuntu 8.04 LTS: 2.12
SLED11SP2: 2.16

Let's raise req to 2.10.
------- Comment #3 From cendio 2012-08-09 12:36:29 -------
Fixed in 25590.
------- Comment #4 From cendio 2012-09-28 13:00:04 -------
Code review looks good, closing.